Revision
7
Author
emsmith
Date
2006-08-11 11:02:20 -0700 (Fri, 11 Aug 2006)

Log Message

Scripts to run the test system, batch file for windows, shell file for others - I haven't tested the shell file so scream if it needs help

Added Paths

Diff

Added: library/trunk/lib/test/run.bat (6 => 7)


--- library/trunk/lib/test/run.bat	2006-08-11 16:42:16 UTC (rev 6)
+++ library/trunk/lib/test/run.bat	2006-08-11 18:02:20 UTC (rev 7)
@@ -0,0 +1,28 @@
+@ECHO OFF
+REM Windows Batch file to run test
+
+REM set this to your php binary 
+REM example - "c:\program files\php\php.exe"
+set PHP_BIN=""
+
+REM set this to your php ini file
+REM example - "c:\program files\php\php.ini"
+set PHP_INI=""
+
+IF %PHP_BIN%  == "" GOTO ERROR1
+IF %PHP_INI%  == "" GOTO ERROR2
+
+%PHP_BIN% -c %PHP_INI% runner.class.php %1 %2 %3 %4
+GOTO END
+
+:ERROR1
+ECHO Please open run.bat and put in the path to your php cli
+GOTO END
+
+:ERROR2
+ECHO Please open run.bat and put in the path to your php ini file
+GOTO end
+
+:END
+PAUSE
+
Property changes on: library/trunk/lib/test/run.bat
___________________________________________________________________
Name: tsvn:logminsize
   + 15
Name: svn:keywords
   + Id
Name: svn-mine-type
   + text/plain
Name: svn:eol-style
   + native

Added: library/trunk/lib/test/run.sh (6 => 7)


--- library/trunk/lib/test/run.sh	2006-08-11 16:42:16 UTC (rev 6)
+++ library/trunk/lib/test/run.sh	2006-08-11 18:02:20 UTC (rev 7)
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# path to php cli
+# example - /usr/bin/php
+php_bin=
+
+# path to php.ini
+# example - /usr/local/lib/php.ini
+php_ini=
+
+if [[ -z "$php_bin" ]]
+then
+echo "Please open run.sh and put in the path to your php cli"
+exit 1
+fi
+
+if [[ -z "$php_ini" ]]
+then
+echo "Please open run.sh and put in the path to your php.ini file"
+exit 1
+fi
+
+$php_bin -c $php_ini runner.class.php $1 $2 $3 $4
+exit 0
\ No newline at end of file
Property changes on: library/trunk/lib/test/run.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: tsvn:logminsize
   + 15
Name: svn:mime-type
   + text/x-sh
Name: svn:keywords
   + Id
Name: svn:eol-style
   + native